## mpich 3.1

=== debian/changelog ===
mpich (3.1-5) unstable; urgency=medium

  [ Anton Gladky ]
  * Add mpi.pc alternative. (Closes: #752786)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Oct 2014 14:28:24 +0100

mpich (3.1-4) unstable; urgency=medium

  * [c3e3398] Disable test_primitives, which is unreliable on some platforms.
              (Closes: #743047)
  * [265a699] Add minimal autotest.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Apr 2014 20:24:20 +0200

mpich (3.1-3) unstable; urgency=medium

  * [5b62bf1] Separate mpl and opa from mpich. (Closes: #742941)

 -- Anton Gladky <gladk@debian.org>  Sat, 29 Mar 2014 20:07:29 +0100

mpich (3.1-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [84ebc17] Update copyright-file, use DEP-5. (Closes: #742782)
  * [4f1b5db] Set Standards-Version: 3.9.5. No changes.

  [ Dimitri John Ledkov ]
  * [f52d751] Autoreconf all subprojects.

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Mar 2014 21:03:57 +0100

mpich (3.1-1) unstable; urgency=medium

  * [af581fb] Imported Upstream version 3.1
  * [0c97462] Ignore quilt dir
  * [966748e] Remove old patches.
  * [be2c8a6] Add build-dep libcr-dev for powerpcspe. (Closes: #731645)
  * [6d41433] Update so-number.
  * [a21b1a4] Disable smpd-build.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Mar 2014 14:39:50 +0100

=== debian/control ===
Source: mpich
Section: devel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>,
 Torquil Macdonald Sørensen <torquil@gmail.com>,
 "Adam C. Powell, IV" <hazelsct@debian.org>,
 Alastair McKinstry <mckinstry@debian.org>
Build-Depends:
 automake,
 debhelper (>= 9),
 default-jdk,
 dh-autoreconf,
 gfortran,
 hwloc-nox,
 libcr-dev [amd64 armel armhf i386 powerpc ppc64 powerpcspe],
 libhwloc-dev,
 libxt-dev,
 procps,
 quilt,
 txt2man,
 valgrind [i386 amd64 powerpc armhf],
 x11proto-core-dev
Build-Depends-Indep:
 texlive-latex-extra,
 texlive-latex-recommended,
 doxygen-latex
Standards-Version: 3.9.5
Homepage: http://www.mpich.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/mpich.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpich.git

Package: libmpich-dev
Architecture: any
Section: libdevel
Depends:
 gfortran,
 g++,
 libcr-dev [amd64 armel i386 powerpc],
 libmpich12 (= ${binary:Version}),
 libmpl-dev,
 libopa-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libmpich2-dev (<< 3.0.4-1)
Breaks:
 libmpich1.0-dev
Replaces:
 libmpich1.0-dev
Recommends:
 mpich (= ${binary:Version})
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich12
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH shared libraries.

Package: libmpich2-dev
Architecture: any
Section: libdevel
Depends:
 libmpich-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package for MPICH development files
 This is a dummy package for the transition from libmpich2-dev to
 libmpich-dev. It can safely be removed if nothing else depends on it.

Package: mpich
Architecture: any
Depends:
 hwloc-nox | hwloc,
 libmpich12 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 mpich2 (<< 3.0.4-1)
Breaks:
 mpich-bin
Replaces:
 mpich-bin
Recommends:
 libmpich-dev (= ${binary:Version})
Suggests:
 blcr-util,
 mpich-doc (= ${source:Version})
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Conflicts:
 lam-mpidoc,
 lam4-dev,
 mpi-doc,
 mpich2-doc (<< 3.0.4-1),
 openmpi-doc,
 openmpi-mpidoc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH documentation.

Package: mpich2
Architecture: any
Depends:
 mpich (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package
 This is a dummy package for the transition from mpich2 to mpich. It can
 safely be removed if nothing else depends on it.

Package: mpich2-doc
Architecture: all
Section: doc
Depends:
 mpich-doc (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package for MPICH documentation
 This is a dummy package for the transition from mpich2-doc to mpich-doc. It can
 safely be removed if nothing else depends on it.

Package: libmpl-dev
Architecture: any
Section: libdevel
Depends:
 libmpl1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libmpich-dev (<< 3.1-2)
Replaces:
 libmpich-dev (<< 3.1-2)
Description: Development files for mpl part of MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the headers and static libraries of mpl part of MPICH.

Package: libmpl1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends}
Breaks:
 libmpich10 (<< 3.1-2)
Replaces:
 libmpich10 (<< 3.1-2)
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Shared libraries for mpl part of MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes shared libraries of mpl part of MPICH.

Package: libopa-dev
Architecture: any
Section: libdevel
Depends:
 libopa1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libmpich-dev (<< 3.1-2)
Replaces:
 libmpich-dev (<< 3.1-2)
Description: Development files for opa part of MPICH
 MPICH is a high-performance and widely portable iopaementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the headers and static libraries of opa part of MPICH.

Package: libopa1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends}
Breaks:
 libmpich10 (<< 3.1-2)
Replaces:
 libmpich10 (<< 3.1-2)
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Shared libraries for opa part of MPICH
 MPICH is a high-performance and widely portable iopaementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes shared libraries of opa part of MPICH.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@  --parallel --with autoreconf

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS)
export FC=gfortran
export F77=gfortran

extra_flags += \
	--enable-shared \
	--prefix=/usr \
	--enable-fc \
	--disable-rpath \
  --disable-wrapper-rpath \
	--sysconfdir=/etc/mpich \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--includedir=/usr/include/mpich \
	--docdir=/usr/share/doc/mpich \
	--with-hwloc-prefix=system

# BLCR checkpointing support
ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armel i386 powerpc))
	extra_flags += --enable-checkpointing --with-hydra-ckpointlib=blcr
endif

# On sparc and sh4, OPA isn't available, so we need to fallback to
# emulation mode. There's a performance penalty, unfortunately.
ifneq (,$(findstring $(DEB_HOST_GNU_CPU),sparc sh4))
	extra_flags += --with-atomic-primitives=no
endif

override_dh_autoreconf:
	dh_autoreconf
	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_build-indep:
	dh_auto_build -i
	cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
	cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
	#cd $(CURDIR)/doc/smpd; rm *.pdf; $(MAKE) smpd_pmi.pdf
	cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf

override_dh_auto_install-arch:
	dh_auto_install -a
	for i in mpicc mpicxx mpif77 mpif90; do \
	  (cd debian/tmp/usr/bin/ && mv $$i $$i.mpich); \
	  (cd debian/tmp/usr/share/man/man1/ && mv $$i.1 $$i.mpich.1);\
	done
	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,f77,f90}.mpich
	for fn in debian/tmp/usr/bin/mpicc.mpich debian/tmp/usr/bin/mpicxx.mpich \
		debian/tmp/usr/bin/mpif77.mpich debian/tmp/usr/bin/mpif90.mpich; do \
		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
	done
	mv debian/tmp/usr/share/man/man1/mpiexec.1 debian/tmp/usr/share/man/man1/mpiexec.mpich.1

override_dh_installchangelogs:
	dh_installchangelogs README

# Correct lib*.so multiarch paths in libmpich-dev.postinst
override_dh_installdeb:
	dh_installdeb
	sed -i 's:TRIPLET:$(DEB_HOST_MULTIARCH):g' debian/libmpich-dev/DEBIAN/postinst

# Some tests are failing on hurd-i386.
# Disable them, to be investiated later
disable_test_archs = hurd-i386
ifneq (,$(filter $(DEB_HOST_ARCH),$(disable_test_archs)))
override_dh_auto_test:

endif

## mpich 3.2

=== doc/namepub/Makefile ===
ALL: namepub.ps namepub.pdf
SHELL = /bin/sh

#
# Use doctext in /home/gropp/bin/$ARCH/doctext 
DOCTEXT = doctext
.SUFFIXES: .ps .pdf .dvi .tex .eps .fig

namepub.dvi: namepub.tex code.sty twopm.eps

.dvi.ps:
	dvips $*
.dvi.pdf:
	(unset TEXMF ; dvipdfm $* )
.tex.dvi:
	-latex $* </dev/null 2>&1 >/dev/null
	-bibtex $*
	-latex $* </dev/null 2>&1 >/dev/null
	-latex $*

code.sty: ../adi3/code.sty
	ln -s ../adi3/code.sty

clean:
	rm -f *.log *.aux *.dvi *.bbl 
	rm -f *.ilg namepub.ind namepub.ind *.blg *.toc *.out 
distclean: clean
	rm -f namepub.ps namepub.pdf

install-devdocs: namepub.pdf
	if [ ! -d "$(DEV_INSTALL_PREFIX)" ] ; then \
	    echo "You must set DEV_INSTALL_PREFIX first" ; \
	    exit 1 ; fi
	cp -f namepub.pdf $(DEV_INSTALL_PREFIX)

# Handle older fig2dev programs
.fig.eps:
	-fig2dev -L eps -l landscape $*.fig > $*.eps
	if [ ! -s $*.eps ] ; then \
		fig2dev -L ps -l landscape $*.fig > $*.eps ; fi

=== debian/changelog ===
mpich (3.2-6build1) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:50:08 +0000

mpich (3.2-6) unstable; urgency=medium

  [ Matthias Klose ]
  * [aa5adf9] libmpich-dev: Install a /usr/lib/mpich/lib symlink.
              (Closes: #811231)

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Jan 2016 13:50:55 +0100

mpich (3.2-5) unstable; urgency=medium

  [ Matthias Klose ]
  * [0970d3b] Relax compiler check. (Closes: #811210)

  [ Anton Gladky ]
  * [8504985] Move manpages into subdir.
  * [e7218bb] Remove unusefull README.source
  * [e668eeb] Remove old NEWS file.

 -- Anton Gladky <gladk@debian.org>  Sat, 16 Jan 2016 22:21:15 +0100

mpich (3.2-4) unstable; urgency=medium

  * [769e1da] Remove old patch. Enable all tests.

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jan 2016 22:21:11 +0100

mpich (3.2-3) unstable; urgency=medium

  * [a2f37f3] Recover mpif77.mpich.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jan 2016 14:46:11 +0100

mpich (3.2-2) unstable; urgency=medium

  * [9023327] Recover mpif90.mpich. (Closes: #808936)

 -- Anton Gladky <gladk@debian.org>  Fri, 25 Dec 2015 17:22:57 +0100

mpich (3.2-1) unstable; urgency=medium

  * Move from experimental to unstable

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Dec 2015 21:46:54 +0100

mpich (3.2-1~exp2) experimental; urgency=medium

  * [f9dc45e] Fix build of indep-binaries only. (Closes: #806080)

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Dec 2015 23:34:12 +0100

mpich (3.2-1~exp1) experimental; urgency=medium

  [ Torquil Macdonald Sørensen ]
  * New upstream release. (Closes: #807318, #807666)
  * Set MPILIBNAME to keep old soname
  * Drop transitional packages for MPICH2
  * Drop libmpl*/libopa* since they are now only symlinks to files in libmpich*
  * Remove ARMCI section from debian/copyright since ARMCI is no longer in MPICH
  * Bump standards version to 3.9.6.0
  * Remove versioned mpich2-doc from mpich-doc Conflicts
  * Replace versioned libmpich2-dev Conflicts by Breaks and Replaces in package
    libmpich-dev
  * Remove versioned mpich2 from mpich Conflicts
  * Man page updates
  * Add libmpl1/libopa1 to Breaks/Replaces for libmpich12, since it replaces
    those
  * Include upstream manual page mpif77.1 and provide symlink for mpif90.mpich.1
  * Include hydra* manual pages
  * Add parkill manual page

  [ Anton Gladky ]
  * Apply cme fix dpkg-control
  * Cosmetic changes

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2015 22:15:03 +0100

mpich (3.1-6) unstable; urgency=medium

  * Rebuild against gcc/gfortran5 for transition. Add dependency on latest
    gfortran.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Aug 2015 08:33:28 +0100

=== debian/control ===
Source: mpich
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Torquil Macdonald Sørensen <torquil@gmail.com>,
           "Adam C. Powell, IV" <hazelsct@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: devel
Priority: extra
Build-Depends: automake,
               debhelper (>= 9),
               default-jdk,
               dh-autoreconf,
               gfortran (>= 4:5.2.1),
               hwloc-nox,
               libcr-dev [amd64 armel armhf i386 powerpc ppc64 powerpcspe],
               libhwloc-dev,
               libxt-dev,
               procps,
               quilt,
               txt2man,
               valgrind [i386 amd64 powerpc armhf],
               x11proto-core-dev
Build-Depends-Indep: texlive-latex-extra,
                     texlive-latex-recommended,
                     doxygen-latex
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/mpich.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpich.git
Homepage: http://www.mpich.org/

Package: libmpich-dev
Architecture: any
Section: libdevel
Depends: gfortran,
         g++,
         libcr-dev [amd64 armel i386 powerpc],
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mpich (= ${binary:Version})
Breaks: libmpich1.0-dev,
        libmpl-dev,
        libopa-dev,
        libmpich2-dev
Replaces: libmpich1.0-dev,
          libmpl-dev,
          libopa-dev,
          libmpich2-dev
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich12
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmpl1,
        libopa1
Replaces: libmpl1,
          libopa1
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH shared libraries.

Package: mpich
Architecture: any
Depends: hwloc-nox | hwloc,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libmpich-dev (= ${binary:Version})
Suggests: blcr-util,
          mpich-doc (= ${source:Version})
Breaks: mpich-bin,
        mpich2
Replaces: mpich-bin,
          mpich2
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: mpich2-doc
Conflicts: lam-mpidoc,
           lam4-dev,
           mpi-doc,
           openmpi-doc,
           openmpi-mpidoc
Replaces: mpich2-doc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #! /usr/bin/make -f
-%:
-	dh $@  --parallel --with autoreconf
+
+export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export MPICHLIB_CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
@@ -11,12 +12,15 @@
 export FC=gfortran
 export F77=gfortran
 
+# Keep old library naming scheme
+export MPILIBNAME=mpich
+
 extra_flags += \
 	--enable-shared \
 	--prefix=/usr \
-	--enable-fc \
+	--enable-fortran=all \
 	--disable-rpath \
-  --disable-wrapper-rpath \
+	--disable-wrapper-rpath \
 	--sysconfdir=/etc/mpich \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--includedir=/usr/include/mpich \
@@ -34,12 +38,15 @@
 	extra_flags += --with-atomic-primitives=no
 endif
 
+%:
+	dh $@  --parallel --with autoreconf
+
 override_dh_autoreconf:
 	dh_autoreconf
 	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(extra_flags)
+	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="" FCFLAGS=""
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
@@ -50,23 +57,34 @@
 
 override_dh_auto_install-arch:
 	dh_auto_install -a
-	for i in mpicc mpicxx mpif77 mpif90; do \
+
+	# Rename executables (ignore upstream symlinks)
+	for i in mpicc mpicxx mpifort; do \
 	  (cd debian/tmp/usr/bin/ && mv $$i $$i.mpich); \
+	done
+
+    # Rename manpages
+	for i in mpicc mpicxx mpiexec mpif77 mpifort; do \
 	  (cd debian/tmp/usr/share/man/man1/ && mv $$i.1 $$i.mpich.1);\
 	done
-	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,f77,f90}.mpich
+
+	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,fort}.mpich
 	for fn in debian/tmp/usr/bin/mpicc.mpich debian/tmp/usr/bin/mpicxx.mpich \
-		debian/tmp/usr/bin/mpif77.mpich debian/tmp/usr/bin/mpif90.mpich; do \
+		debian/tmp/usr/bin/mpifort.mpich; do \
 		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
 	done
-	mv debian/tmp/usr/share/man/man1/mpiexec.1 debian/tmp/usr/share/man/man1/mpiexec.mpich.1
+
+override_dh_install:
+	dh_install
+	mkdir -p debian/libmpich-dev/usr/lib/mpich
+	ln -sf ../$(DEB_HOST_MULTIARCH) debian/libmpich-dev/usr/lib/mpich/lib
 
 override_dh_installchangelogs:
 	dh_installchangelogs README
 
 # Correct lib*.so multiarch paths in libmpich-dev.postinst
-override_dh_installdeb:
-	dh_installdeb
+override_dh_installdeb-arch:
+	dh_installdeb -a
 	sed -i 's:TRIPLET:$(DEB_HOST_MULTIARCH):g' debian/libmpich-dev/DEBIAN/postinst
 
 # Some tests are failing on hurd-i386.

## mpich 3.3~a2

=== debian/changelog ===
mpich (3.3~a2-4) unstable; urgency=medium

  [Alastair McKinstry]
  * Undo romio change : doesn't fix hurd issues.
  * Push experimental changes to unstable. Closes: #871689

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Sep 2017 08:49:55 +0100

mpich (3.3~a2-3) experimental; urgency=medium

  [ Alastair McKinstry ]
  * Standards-Version: 4.1.0; no changes required
  * Set Debhelper COMPAT level 10. automake, dh-autoreconf no longer needed
  * mpich-doc now marked Multi-Arch: foreign
  * Set TZ=UTC+0 during build for reproducible font sorting
  * Enable libfabric, ibverbs on appropriate archs
  * Disable romio on hurd-i386
  * Disable builtin atomics on armhf

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Sep 2017 16:46:16 +0100

mpich (3.3~a2-2) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Remove gcc compiler check. Closes: #855324, #853404, #854532, #853562
  * Latest release fixes ppc64el bug. Closes: #871483

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Aug 2017 09:29:30 +0100

mpich (3.3~a2-1) experimental; urgency=medium

  [ Alastair McKinstry ]
  * [fa1de3cf] New upstream release
  * [23c9187f] Standards-Version now 3.9.8
  * [82a09e4] Enable bvlcr on armhf. Closes: #685226
  * [541bb218] Use xz compression for debian pkg
  * [fa9cef6a] Mark mpich-doc as M-A: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 07:33:24 +0100

mpich (3.2-7) unstable; urgency=medium

  * Team upload.
  * [0803fb4] Drop unneeded Build-Dependency on default-jdk.
  * [3174e8f] Use HTTPS in Vcs-Git.
  * [21e5360] Let libmpich-dev depend on libcr-dev also on ppc64 and powerpcspe.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Aug 2016 08:49:18 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
            Alastair McKinstry <mckinstry@debian.org>
 Section: devel
 Priority: extra
-Build-Depends: automake,
-               debhelper (>= 9),
-               default-jdk,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gfortran (>= 4:5.2.1),
                hwloc-nox,
+               libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libfabric-dev [amd64 i386],
                libcr-dev [amd64 armel armhf i386 powerpc ppc64 powerpcspe],
                libhwloc-dev,
                libxt-dev,
@@ -23,9 +22,9 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/mpich.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpich.git
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mpich.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mpich.git
 Homepage: http://www.mpich.org/
 
 Package: libmpich-dev
@@ -33,7 +32,7 @@
 Section: libdevel
 Depends: gfortran,
          g++,
-         libcr-dev [amd64 armel i386 powerpc],
+         libcr-dev [amd64 armel i386 powerpc ppc64 powerpcspe],
          libmpich12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -100,6 +99,7 @@
 
 Package: mpich-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Breaks: mpich2-doc

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,30 @@
 export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS)
 export FC=gfortran
 export F77=gfortran
+export TZ=UTC+0
 
 # Keep old library naming scheme
 export MPILIBNAME=mpich
 
+NO_ROMIO_ARCH:= hurd-i386
+NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
+FABRIC_ARCH:= amd64 i386 
+BUILTIN_ATOMICS:= armhf
+
+ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
+	VERBS := --with-ibverbs
+endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(BUILTIN_ATOMICS_ARCH)))
+	DISABLE_BUILTIN_ATOMICS:= --with-atomic-primitives=no
+endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(FABRIC_ARCH)))
+	FABRIC := --with-libfabric
+endif
+
 extra_flags += \
+	$(VERBS) \
+	$(FABRIC) \
+	$(DISABLE_BUILTIN_ATOMICS) \
 	--enable-shared \
 	--prefix=/usr \
 	--enable-fortran=all \
@@ -28,7 +47,7 @@
 	--with-hwloc-prefix=system
 
 # BLCR checkpointing support
-ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armel i386 powerpc))
+ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armhf armel i386 powerpc))
 	extra_flags += --enable-checkpointing --with-hydra-ckpointlib=blcr
 endif

=== debian/tests/control ===
Tests: version
Depends: libmpich-dev

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="dversionmangle=s/\d+$/)$1-Source/" http://www.mpich.org/downloads .*/mpich-(.*)\.tar\.gz

## mpich 3.3~b2

=== debian/changelog ===
mpich (3.3~b2-7build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:20:44 +0000

mpich (3.3~b2-7) unstable; urgency=medium

  * mpich.postinst: on update-alternatives, if the link is corrupt its not
    deleted. Force delete with rm /var/lib/dpkg/alternatives/mpi

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 May 2018 19:41:54 +0100

mpich (3.3~b2-6) unstable; urgency=medium

  * mpich.postinst: undo 'set -e' so update-alternatives deletes old corrupt
    settings on failure. Closes: #897360

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 May 2018 16:27:29 +0100

mpich (3.3~b2-5) unstable; urgency=medium

  * Update Breaks/Replaces on mpich. Closes: #896153
  * Update mpich description for MPI-3.1. Closes: #815623
  * Fix postinst update-alternatives syntax (fails with set -e)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Apr 2018 16:00:50 +0100

mpich (3.3~b2-4) unstable; urgency=medium

  * Fix postinst to cope with update-alternatives errors after lam4-dev
    install

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Apr 2018 15:47:29 +0100

mpich (3.3~b2-3) unstable; urgency=medium

  * libmpich-dev now Depends on mpich. Closes: #896016
  * Move manpages from libmpich-dev to mpich
  * Update autopkgtest : change from libpmich-dev to mpich. Closes: #896082

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Apr 2018 11:37:05 +0100

mpich (3.3~b2-2) unstable; urgency=medium

  * Define missing PATH_MAX for Hurd builds
  * Drop blcr support  
  * Add full multi-arch support

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Apr 2018 19:14:42 +0100

mpich (3.3~b2-1) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Drop obsolete --parallel
  * Use internal hwloc for this release (2.0.0 needed; in experimental)
  * Drop Breaks/Replaces on libmpich1.0; not in debian archives anymore
  * Add Breaks/replaces mpich on libmpich-dev, as mpicc moved from -dev to
    mpich package

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Apr 2018 13:03:38 +0100

mpich (3.3~b1-5) experimental; urgency=medium

  * Ensure M-A placeholders are properly substituted: autogenerate files
    in ./rules. Closes: #891348

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2018 11:16:54 +0000

mpich (3.3~b1-4) experimental; urgency=medium

  * New upstream release
  * Drop --with autoconf from dh; obsolete

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Feb 2018 16:49:12 +0000

mpich (3.3~a3-3) unstable; urgency=medium

  * Add mpi-${lang}.pc pkgconfig files and alternatives. Closes: #860599 
  * Point VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jan 2018 11:32:54 +0000

mpich (3.3~a3-2) experimental; urgency=medium

  [ Alastair McKinstry ]
  * bugfix in ./rules to select atomic_primitives on armhf
  * re-enable tests for hurd in debian/rules to test
  * Fix for ADIO_SFS not defined on GNU/Hurd
  * Split alternatives into mpi and mpi-${DEB_HOST_MULTIARCH} parts;
    to enable full multiarch of libmpich-dev later
    Closes: #887614

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jan 2018 09:48:24 +0000

mpich (3.3~a3-1) experimental; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release
  * Standards-Version: 4.1.3
  * Set homepage to use https://www.mpich.org
  * Add mpi-fort.pc, mpi-c.pc, mpi-cxx.pc. Closes: #860599
  * Make some alternatives-tags multi-arch aware.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Jan 2018 16:00:59 +0000

=== debian/control ===
Source: mpich
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Torquil Macdonald Sørensen <torquil@gmail.com>,
           "Adam C. Powell, IV" <hazelsct@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10),
               gfortran (>= 4:5.2.1),
               hwloc-nox,
               libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libfabric-dev [amd64 i386],
               libxt-dev,
               procps,
               quilt,
               txt2man,
               valgrind [i386 amd64 powerpc armhf],
               x11proto-core-dev
Build-Depends-Indep: texlive-latex-extra,
                     texlive-latex-recommended,
                     doxygen-latex
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org:/science-team/mpich.git
Vcs-Git: https://salsa.debian.org:/science-team/mpich.git -b 
Homepage: https://www.mpich.org/

Package: libmpich-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gfortran,
         g++,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
	 mpich (= ${binary:Version})
Breaks: libmpl-dev,
        libopa-dev,
        libmpich2-dev
Replaces: libmpl-dev,
          libopa-dev,
          libmpich2-dev
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich12
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmpl1,
        libopa1
Replaces: libmpl1,
          libopa1
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH shared libraries.

Package: mpich
Architecture: any
Multi-Arch: foreign
Depends: hwloc-nox | hwloc,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libmpich-dev (= ${binary:Version})
Suggests: mpich-doc (= ${source:Version})
Breaks: mpich-bin,
        mpich2,
	libmpich-dev ( << 3.3~b2-3~)
Replaces: mpich-bin,
          mpich2,
	  libmpich-dev ( << 3.3~b2-3~)
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: mpich2-doc
Conflicts: lam-mpidoc,
           lam4-dev,
           mpi-doc,
           openmpi-doc,
           openmpi-mpidoc
Replaces: mpich2-doc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH documentation.

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,15 @@
 export F77=gfortran
 export TZ=UTC+0
 
+AUTOGENERATED:= libmpich-dev.prerm libpich-dev.postinst libmpich-dev.links
+
 # Keep old library naming scheme
 export MPILIBNAME=mpich
 
 NO_ROMIO_ARCH:= hurd-i386
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
 FABRIC_ARCH:= amd64 i386 
-BUILTIN_ATOMICS:= armhf
+BUILTIN_ATOMICS_ARCH:= armhf
 
 ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
 	VERBS := --with-ibverbs
@@ -42,14 +44,9 @@
 	--disable-wrapper-rpath \
 	--sysconfdir=/etc/mpich \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	--includedir=/usr/include/mpich \
-	--docdir=/usr/share/doc/mpich \
-	--with-hwloc-prefix=system
+	--includedir=/usr/include/$(DEB_HOST_MULTIARCH)/mpich \
+	--docdir=/usr/share/doc/mpich 
 
-# BLCR checkpointing support
-ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armhf armel i386 powerpc))
-	extra_flags += --enable-checkpointing --with-hydra-ckpointlib=blcr
-endif
 
 # On sparc and sh4, OPA isn't available, so we need to fallback to
 # emulation mode. There's a performance penalty, unfortunately.
@@ -58,21 +55,30 @@
 endif
 
 %:
-	dh $@  --parallel --with autoreconf
+	dh $@  
 
 override_dh_autoreconf:
-	dh_autoreconf
-	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra
+	./autogen.sh
+	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra \
+		src/mpid/ch4/netmod/ucx/ucx src/mpid/ch4/netmod/ofi/libfabric
+
+override_dh_auto_clean:
+	dh_clean
+	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
 
 override_dh_auto_configure:
+	for f in ${AUTOGENERATED} ; do \
+                sed -e 's%TRIPLET%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
+                done
 	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="" FCFLAGS=""
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
-	cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
-	cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
+	# Disable rebuilding pdfs for the moment due to pdflatex problem 
+	# cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
+	# cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
 	#cd $(CURDIR)/doc/smpd; rm *.pdf; $(MAKE) smpd_pmi.pdf
-	cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf
+	#cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf
 
 override_dh_auto_install-arch:
 	dh_auto_install -a
@@ -96,19 +102,14 @@
 override_dh_install:
 	dh_install
 	mkdir -p debian/libmpich-dev/usr/lib/mpich
-	ln -sf ../$(DEB_HOST_MULTIARCH) debian/libmpich-dev/usr/lib/mpich/lib
 
 override_dh_installchangelogs:
 	dh_installchangelogs README
 
-# Correct lib*.so multiarch paths in libmpich-dev.postinst
-override_dh_installdeb-arch:
-	dh_installdeb -a
-	sed -i 's:TRIPLET:$(DEB_HOST_MULTIARCH):g' debian/libmpich-dev/DEBIAN/postinst
-
 # Some tests are failing on hurd-i386.
 # Disable them, to be investiated later
-disable_test_archs = hurd-i386
+# disable_test_archs = hurd-i386
+disable_test_archs = 
 ifneq (,$(filter $(DEB_HOST_ARCH),$(disable_test_archs)))
 override_dh_auto_test:

## mpich 3.3~b3

=== debian/changelog ===
mpich (3.3~b3-4) unstable; urgency=medium

  * Add mpich.preinst: check for a corrupt mpi alternatives file, and delete
    as necessary. Closes: #912523

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Nov 2018 08:55:36 +0000

mpich (3.3~b3-3) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * Fix typo generating libmpich-dev.postinst file
  * Add libmpich-dev.preinst to mirror openmpi changes for M-A
  * Don't unconditionally delete mpi alternatives in libmpich-dev.prerm
  * Enable set -e in mpich.postinst
  * Drop hard-coded xz compression of tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Oct 2018 12:13:23 +0000

mpich (3.3~b3-2) unstable; urgency=medium

  * Standards-Version: 4.2.0
  * Use dh-fortran-mod to register, track Fortran mod files

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Aug 2018 10:29:32 +0100

mpich (3.3~b3-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Jul 2018 09:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mpich
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>,
-           Torquil Macdonald Sørensen <torquil@gmail.com>,
+Uploaders: Torquil Macdonald Sørensen <torquil@gmail.com>,
            "Adam C. Powell, IV" <hazelsct@debian.org>,
            Alastair McKinstry <mckinstry@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 10),
                gfortran (>= 4:5.2.1),
+	       dh-fortran-mod,
                hwloc-nox,
                libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libfabric-dev [amd64 i386],
@@ -20,9 +20,9 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org:/science-team/mpich.git
-Vcs-Git: https://salsa.debian.org:/science-team/mpich.git -b 
+Vcs-Git: https://salsa.debian.org:/science-team/mpich.git 
 Homepage: https://www.mpich.org/
 
 Package: libmpich-dev

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 export F77=gfortran
 export TZ=UTC+0
 
-AUTOGENERATED:= libmpich-dev.prerm libpich-dev.postinst libmpich-dev.links
+AUTOGENERATED:= libmpich-dev.prerm libmpich-dev.postinst libmpich-dev.links \
+	mpich.preinst libmpich-dev.preinst
 
 # Keep old library naming scheme
 export MPILIBNAME=mpich
@@ -55,7 +56,7 @@
 endif
 
 %:
-	dh $@  
+	dh $@  --with=fortran_mod
 
 override_dh_autoreconf:
 	./autogen.sh

## mpich 3.3

=== debian/changelog ===
mpich (3.3-3) unstable; urgency=medium


  * Patch from Ana Guerrero Lopez, Andreas Beckann to remove obsolete
    GCC check. Closes: #807666, #924837.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Mar 2019 08:31:47 +0000

mpich (3.3-2) unstable; urgency=medium

  * Use dh_fortran_mod to install Fortran mod files in $fmoddir/mpich.
  * B-D on gfortran | fortran-compiler
  * Use f95, f77 aliases for Fortran compiler in d/rules
  * Standards-Version: 4.3.0
  * Update alternatives handling. Closes: #896189

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Feb 2019 16:45:42 +0000

mpich (3.3-1) unstable; urgency=medium

  * Nww upstream release 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Nov 2018 07:14:47 +0000

mpich (3.3~rc1-2) unstable; urgency=medium

  * Build hppa, riscv64 with built-in atomics to fix test failures

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Nov 2018 10:11:45 +0000

mpich (3.3~rc1-1) unstable; urgency=medium

  * New upstream release
  * Don't ship empty directory /usr/lib/mpich in -dev package
  * Add sources for vis.min.js to d/missing-sources/vis.js 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Nov 2018 11:57:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               gfortran (>= 4:5.2.1),
-	       dh-fortran-mod,
+               gfortran | fortran-compiler,
+	       dh-fortran-mod (>= 0.9),
                hwloc-nox,
                libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libfabric-dev [amd64 i386],
@@ -20,7 +20,7 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org:/science-team/mpich.git
 Vcs-Git: https://salsa.debian.org:/science-team/mpich.git 
 Homepage: https://www.mpich.org/
@@ -29,15 +29,19 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gfortran,
+Depends: gfortran | fortran-compiler,
          g++,
          libmpich12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 	 mpich (= ${binary:Version})
+Fortran-Mod: ${Fortran-Mod}
 Breaks: libmpl-dev,
         libopa-dev,
-        libmpich2-dev
+        libmpich2-dev,
+        libopenmpi-dev (<< 3.0.1~rc1-2),
+        openmpi-bin (<< 3.0.1~rc1-2),
+        lam4-dev (<< 7.1.4-3.2),
 Replaces: libmpl-dev,
           libopa-dev,
           libmpich2-dev
@@ -88,7 +92,10 @@
 Suggests: mpich-doc (= ${source:Version})
 Breaks: mpich-bin,
         mpich2,
-	libmpich-dev ( << 3.3~b2-3~)
+        libmpich-dev ( << 3.3~b2-3~),
+        libopenmpi-dev (<< 3.0.1~rc1-2),
+        openmpi-bin (<< 3.0.1~rc1-2),
+        lam4-dev (<< 7.1.4-3.2),
 Replaces: mpich-bin,
           mpich2,
 	  libmpich-dev ( << 3.3~b2-3~)

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
 export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS)
-export FC=gfortran
-export F77=gfortran
+export FC=f95
+export F77=f77
 export TZ=UTC+0
 
 AUTOGENERATED:= libmpich-dev.prerm libmpich-dev.postinst libmpich-dev.links \
@@ -22,7 +22,7 @@
 NO_ROMIO_ARCH:= hurd-i386
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
 FABRIC_ARCH:= amd64 i386 
-BUILTIN_ATOMICS_ARCH:= armhf
+BUILTIN_ATOMICS_ARCH:= armhf riscv64 hppa
 
 ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
 	VERBS := --with-ibverbs
@@ -100,9 +100,6 @@
 		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
 	done
 
-override_dh_install:
-	dh_install
-	mkdir -p debian/libmpich-dev/usr/lib/mpich
 
 override_dh_installchangelogs:
 	dh_installchangelogs README
